/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventInterface {
#if ENABLE(APPLE_PAY)
    ApplePayCancelEventInterfaceType = 1,
    ApplePayPaymentAuthorizedEventInterfaceType = 2,
    ApplePayPaymentMethodSelectedEventInterfaceType = 3,
    ApplePayShippingContactSelectedEventInterfaceType = 4,
    ApplePayShippingMethodSelectedEventInterfaceType = 5,
    ApplePayValidateMerchantEventInterfaceType = 6,
#endif
#if ENABLE(APPLE_PAY_COUPON_CODE)
    ApplePayCouponCodeChangedEventInterfaceType = 7,
#endif
#if ENABLE(DEVICE_ORIENTATION)
    DeviceMotionEventInterfaceType = 8,
    DeviceOrientationEventInterfaceType = 9,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaEncryptedEventInterfaceType = 10,
    MediaKeyMessageEventInterfaceType = 11,
#endif
#if ENABLE(GAMEPAD)
    GamepadEventInterfaceType = 12,
#endif
#if ENABLE(IOS_GESTURE_EVENTS) || ENABLE(MAC_GESTURE_EVENTS)
    GestureEventInterfaceType = 13,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeyMessageEventInterfaceType = 14,
    WebKitMediaKeyNeededEventInterfaceType = 15,
#endif
#if ENABLE(MEDIA_STREAM)
    BlobEventInterfaceType = 16,
    MediaRecorderErrorEventInterfaceType = 17,
    MediaStreamTrackEventInterfaceType = 18,
    OverconstrainedErrorEventInterfaceType = 19,
#endif
#if ENABLE(ORIENTATION_EVENTS)
#endif
#if ENABLE(PAYMENT_REQUEST)
    MerchantValidationEventInterfaceType = 20,
    PaymentMethodChangeEventInterfaceType = 21,
    PaymentRequestUpdateEventInterfaceType = 22,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    EnterPictureInPictureEventInterfaceType = 23,
#endif
#if ENABLE(SERVICE_WORKER)
    ExtendableEventInterfaceType = 24,
    ExtendableMessageEventInterfaceType = 25,
    FetchEventInterfaceType = 26,
    PushEventInterfaceType = 27,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisEventInterfaceType = 28,
#endif
#if ENABLE(TOUCH_EVENTS)
    TouchEventInterfaceType = 29,
#endif
#if ENABLE(VIDEO)
    TrackEventInterfaceType = 30,
#endif
#if ENABLE(WEBGL)
    WebGLContextEventInterfaceType = 31,
#endif
#if ENABLE(WEBXR)
    XRInputSourceEventInterfaceType = 32,
    XRInputSourcesChangeEventInterfaceType = 33,
    XRReferenceSpaceEventInterfaceType = 34,
    XRSessionEventInterfaceType = 35,
#endif
#if ENABLE(WEB_AUDIO)
    AudioProcessingEventInterfaceType = 36,
    OfflineAudioCompletionEventInterfaceType = 37,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFToneChangeEventInterfaceType = 38,
    RTCDataChannelEventInterfaceType = 39,
    RTCErrorEventInterfaceType = 40,
    RTCPeerConnectionIceErrorEventInterfaceType = 41,
    RTCPeerConnectionIceEventInterfaceType = 42,
    RTCRtpSFrameTransformErrorEventInterfaceType = 43,
    RTCTrackEventInterfaceType = 44,
    RTCTransformEventInterfaceType = 45,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET)
    WebKitPlaybackTargetAvailabilityEventInterfaceType = 46,
#endif
    AnimationEventInterfaceType = 47,
    AnimationPlaybackEventInterfaceType = 48,
    BeforeLoadEventInterfaceType = 49,
    BeforeUnloadEventInterfaceType = 50,
    ClipboardEventInterfaceType = 51,
    CloseEventInterfaceType = 52,
    CompositionEventInterfaceType = 53,
    CustomEventInterfaceType = 54,
    DragEventInterfaceType = 55,
    ErrorEventInterfaceType = 56,
    EventInterfaceType = 57,
    FocusEventInterfaceType = 58,
    FormDataEventInterfaceType = 59,
    HashChangeEventInterfaceType = 60,
    IDBVersionChangeEventInterfaceType = 61,
    InputEventInterfaceType = 62,
    KeyboardEventInterfaceType = 63,
    MediaQueryListEventInterfaceType = 64,
    MessageEventInterfaceType = 65,
    MouseEventInterfaceType = 66,
    MutationEventInterfaceType = 67,
    OverflowEventInterfaceType = 68,
    PageTransitionEventInterfaceType = 69,
    PointerEventInterfaceType = 70,
    PopStateEventInterfaceType = 71,
    ProgressEventInterfaceType = 72,
    PromiseRejectionEventInterfaceType = 73,
    SVGZoomEventInterfaceType = 74,
    SecurityPolicyViolationEventInterfaceType = 75,
    SpeechRecognitionErrorEventInterfaceType = 76,
    SpeechRecognitionEventInterfaceType = 77,
    StorageEventInterfaceType = 78,
    SubmitEventInterfaceType = 79,
    TextEventInterfaceType = 80,
    TransitionEventInterfaceType = 81,
    UIEventInterfaceType = 82,
    WebKitAnimationEventInterfaceType = 83,
    WebKitTransitionEventInterfaceType = 84,
    WheelEventInterfaceType = 85,
    XMLHttpRequestProgressEventInterfaceType = 86,
};

} // namespace WebCore
